Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Update an existing todo

Updates title and/or description of an existing todo item within a project component item. Only provided fields are updated (partial update). Description accepts HTML or Markdown format and is converted to IDoc for storage. Only todos belonging to component items in the specified project are accessible.

PATCH/projects/{projectId}/components/items/{itemId}/todos/{todoId}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
projectIdstringrequired

Project UUID

itemIdstringrequired

Component item UUID. Items are the building blocks within components (Epics, Work Packages, Todo Lists, Test Suites).

todoIdstringrequired

Todo UUID

Query parameters
fieldsToReturnstring

Comma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.

responseShapestring

Advanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:compactfull
Header parameters
LT-Response-Shapestring

Advanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:full
Request body
requiredapplication/json
descriptionstring

Todo description in HTML or Markdown format

titlestring

Todo title

Responses
200
idstring

ID of the updated todo

successbooleanrequired

Operation success status

400

Invalid request: no fields provided for update or invalid UUID format

401

Unauthorized - Invalid or missing authentication token

403

Insufficient permissions to manage components

404

Todo not found or does not belong to the specified item in the project

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH "https://leadtime.app/api/public/projects/a47dc37b-7693-4d06-b49c-17084b773aff/components/items/3047983b-d798-4aff-8dd4-628cf1900703/todos/550e8400-e29b-41d4-a716-446655440011" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "<p>Add user login with two-factor authentication</p>",
  "title": "Implement authentication with 2FA"
}'
Response
{
  "id": "550e8400-e29b-41d4-a716-446655440001",
  "success": true
}